<?php

namespace IPS\invite;

class _Member extends \IPS\Patterns\ActiveRecord
{
    protected static $multitons;
	public static $databaseTable 		= 'invite_members';
	public static $databasePrefix 		= 'is_';
	public static $databaseColumnId 	= 'member_id';
    protected static $databaseIdFields 	= ['is_member_id'];

	public static function getMember( \IPS\Member $member = NULL )
	{
		$member = $member ?: \IPS\Member::loggedIn();

		try
		{
			$user = \IPS\invite\Member::load( $member->member_id );
		}
		catch( \Exception $e )
		{
			$user = new \IPS\invite\Member;
			$user->member_id = $member->member_id;
		}

		return $user;
	}
}